# class ProgressItem | One item in the ListProgress More...
Internal Use Only
Definition | `#include <uiserver.h>`
Inherits | QListViewItem (qt) [public ], QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ProgressItem ( ListProgress* view, QListViewItem *after, QCString app_id, int job_id, bool showDefault = true )
- ~ProgressItem ()
- QCString appId ()
- int jobId ()
- void setVisible ( bool visible )
- bool isVisible () const
- void setTotalSize ( unsigned long bytes )
- void setTotalFiles ( unsigned long files )
- void setTotalDirs ( unsigned long dirs )
- void setProcessedSize ( unsigned long size )
- void setProcessedFiles ( unsigned long files )
- void setProcessedDirs ( unsigned long dirs )
- void setPercent ( unsigned long percent )
- void setSpeed ( unsigned long bytes_per_second )
- void setInfoMessage ( const QString & msg )
- void setCopying ( const KURL& from, const KURL& to )
- void setMoving ( const KURL& from, const KURL& to )
- void setDeleting ( const KURL& url )
- void setCreatingDir ( const KURL& dir )
- void setStating ( const KURL& url )
- void setMounting ( const QString & dev, const QString & point )
- void setUnmounting ( const QString & point )
- void setCanResume ( unsigned long offset )
- unsigned long totalSize ()
- unsigned long totalFiles ()
- unsigned long processedSize ()
- unsigned long processedFiles ()
- unsigned long speed ()
- QTime remainingTime ()

#### Public Slots

- void slotShowDefaultProgress ()
- void slotToggleDefaultProgress ()

#### Signals

- void jobCanceled ( ProgressItem* )

#### Protected Slots

- void slotCanceled ()

#### Protected Members

- QCString m_sAppId
- int m_iJobId
- bool m_visible
- ListProgress *listProgress
- DefaultProgress *defaultProgress
- unsigned long m_iTotalSize
- unsigned long m_iTotalFiles
- unsigned long m_iProcessedSize
- unsigned long m_iProcessedFiles
- unsigned long m_iSpeed
- QTime m_remainingTime

## Detailed Description

One item in the ListProgress

ProgressItem ( ListProgress* view, QListViewItem *after, QCString app_id, int job_id, bool showDefault = true ) | ### ProgressItem

~ProgressItem () | ### ~ProgressItem

QCString appId () | ### appId

int jobId () | ### jobId

void setVisible ( bool visible ) | ### setVisible

bool isVisible () | ### isVisible

[const]

void setTotalSize ( unsigned long bytes ) | ### setTotalSize

void setTotalFiles ( unsigned long files ) | ### setTotalFiles

void setTotalDirs ( unsigned long dirs ) | ### setTotalDirs

void setProcessedSize ( unsigned long size ) | ### setProcessedSize

void setProcessedFiles ( unsigned long files ) | ### setProcessedFiles

void setProcessedDirs ( unsigned long dirs ) | ### setProcessedDirs

void setPercent ( unsigned long percent ) | ### setPercent

void setSpeed ( unsigned long bytes_per_second ) | ### setSpeed

void setInfoMessage ( const QString & msg ) | ### setInfoMessage

void setCopying ( const KURL& from, const KURL& to ) | ### setCopying

void setMoving ( const KURL& from, const KURL& to ) | ### setMoving

void setDeleting ( const KURL& url ) | ### setDeleting

void setCreatingDir ( const KURL& dir ) | ### setCreatingDir

void setStating ( const KURL& url ) | ### setStating

void setMounting ( const QString & dev, const QString & point ) | ### setMounting

void setUnmounting ( const QString & point ) | ### setUnmounting

void setCanResume ( unsigned long offset ) | ### setCanResume

unsigned long totalSize () | ### totalSize

unsigned long totalFiles () | ### totalFiles

unsigned long processedSize () | ### processedSize

unsigned long processedFiles () | ### processedFiles

unsigned long speed () | ### speed

QTime remainingTime () | ### remainingTime

void slotShowDefaultProgress () | ### slotShowDefaultProgress

[slot]

void slotToggleDefaultProgress () | ### slotToggleDefaultProgress

[slot]

void slotCanceled () | ### slotCanceled

[protected slots slot]

void jobCanceled ( ProgressItem* ) | ### jobCanceled

[signal]

QCString m_sAppId | ### m_sAppId

[protected]

int m_iJobId | ### m_iJobId

[protected]

bool m_visible | ### m_visible

[protected]

ListProgress * listProgress | ### listProgress

[protected]

DefaultProgress * defaultProgress | ### defaultProgress

[protected]

unsigned long m_iTotalSize | ### m_iTotalSize

[protected]

unsigned long m_iTotalFiles | ### m_iTotalFiles

[protected]

unsigned long m_iProcessedSize | ### m_iProcessedSize

[protected]

unsigned long m_iProcessedFiles | ### m_iProcessedFiles

[protected]

unsigned long m_iSpeed | ### m_iSpeed

[protected]

QTime m_remainingTime | ### m_remainingTime

[protected]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.